| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Properties | List of all members
iolink.iolink.RegionXu64 Class Reference
Inheritance diagram for iolink.iolink.RegionXu64:

## Public Member Functions
| __init__ (self, *args)
| get_dimension_count (self)
| get_origin (self)
| get_size (self)
| get_min (self)
| get_max (self)
| get_element_count (self)
| get_is_empty (self)
| contains (self, *args)
| intersect (self, other)
| intersection (self, other)
| extract_slice_from_axis (self, dimension, origin)
| __eq__ (self, other)
| __ne__ (self, other)
| to_string (self)
| __repr__ (self)

## Static Public Member Functions
| from_index (index)
| create_full_region (regionSize)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
| dimension_count = property(get_dimension_count, doc=get_dimension_count.__doc__)
| origin = property(get_origin, doc=get_origin.__doc__)
| size = property(get_size, doc=get_size.__doc__)
| element_count = property(get_element_count, doc=get_element_count.__doc__)
| min = property(get_min, doc=get_min.__doc__)
| max = property(get_max, doc=get_max.__doc__)
| is_empty = property(get_is_empty, doc=get_is_empty.__doc__)

## Detailed Description

    A Region using dynamic vectors

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.RegionXu64.__init__ | ( |  | self,
|  | * | args
| ) |  |

        *Overload 1:*

        Creates an empty region.

        :type dimension: int
        :param dimension: The dimension of the region.

        |

        *Overload 2:*
         copy constructor

        |

        *Overload 3:*
         move constructor

        |

        *Overload 4:*

        Builds a region from its origin and size.

## Member Function Documentation

## ◆ contains()

iolink.iolink.RegionXu64.contains | ( |  | self,
|  | * | args
| ) |  |

        *Overload 1:*

        Checks if this region conatins another.
        :raises: InvalidArgument if region don't have compatible dimensions

        |

        *Overload 2:*

        Checks if this region contains a point.
        :raises: InvalidArgument if region don't have compatible dimensions

## ◆ create_full_region()

iolink.iolink.RegionXu64.create_full_region | ( |  | regionSize | ) |
| static

    Utility factory that create the region of origin [0, 0, 0] and given size.

## ◆ extract_slice_from_axis()

iolink.iolink.RegionXu64.extract_slice_from_axis | ( |  | self,
|  |  | dimension,
|  |  | origin
| ) |  |

        Returns a region of size one along one axis

        :type dimension: int
        :param dimension: axis on which the slice must be selected
        :type origin: int
        :param origin: position of slice in given dimension

        :rtype: iolink::RegionX< uint64_t >
        :return: the slice at given position for given dimension
        :raises: InvalidArgument if dimension or origin are out of range

        e.g. a 3D region {{0, 0, 0}, {5, 6, 7}}
        - extractSliceFromAxis(0, 3) returns 3D region {{3, 0, 0}, {1, 6, 7}}
        - extractSliceFromAxis(1, 4) returns 3D region {{0, 4, 0}, {5, 1, 7}}
        - extractSliceFromAxis(2, 5) returns 3D region {{0, 0, 5}, {5, 6, 1}}

        e.g. a 3D region with non-null origin { {2, 3, 4}, {5, 6, 7}}

        extractSliceFromAxis(0, 3) returns 3D region {{5, 3, 4}, {1, 6, 7}}

## ◆ get_dimension_count()

iolink.iolink.RegionXu64.get_dimension_count | ( |  | self | ) |

    The dimension of this region.

## ◆ get_element_count()

iolink.iolink.RegionXu64.get_element_count | ( |  | self | ) |

        Returns the number of cells in this region.

        Only applicable to integer typed regions.
        It will return 0 for floating point regions.

## ◆ get_is_empty()

iolink.iolink.RegionXu64.get_is_empty | ( |  | self | ) |

        Checks if the region is empty.

        An integer typed region is empty if one of its sizes is 0.
        A floating point region is empty is one of its sizes is Nan.

## ◆ get_max()

iolink.iolink.RegionXu64.get_max | ( |  | self | ) |

    Return the maximal point of the region.

## ◆ get_min()

iolink.iolink.RegionXu64.get_min | ( |  | self | ) |

        Returns the minimal point of the region.

        Alias for origin.

## ◆ get_origin()

iolink.iolink.RegionXu64.get_origin | ( |  | self | ) |

    Returns the position of the region's origin.

## ◆ get_size()

iolink.iolink.RegionXu64.get_size | ( |  | self | ) |

    Returns the region's size.

## ◆ intersect()

iolink.iolink.RegionXu64.intersect | ( |  | self,
|  |  | other
| ) |  |

        Checks if this region intersect another.
        :raises: InvalidArgument if region don't have compatible dimensions

## ◆ intersection()

iolink.iolink.RegionXu64.intersection | ( |  | self,
|  |  | other
| ) |  |

        Returns the intersection of this region and another.

        If regions does not intersect, it returns an empty region.
        :raises: InvalidArgument if region don't have compatible dimensions

## ◆ to_string()

iolink.iolink.RegionXu64.to_string | ( |  | self | ) |

    Return a string representation

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py